# IP Geolocation Database

IPnews-IP geolocation database provides you with accurate data insights to meet your various business needs. Data services provided to product architects, developers, etc., including IP geolocation data such as countries, cities, regions, latitude and longitude, time zones, operators, etc.

#### Database Schema

The database contains the following fields:

<table><thead><tr><th width="253">Name</th><th>Data Type</th><th>Description</th></tr></thead><tbody><tr><td>country</td><td>TEXT</td><td>Country name.</td></tr><tr><td>country_code</td><td>TEXT</td><td>Two-character country code based on ISO 3166.</td></tr><tr><td>region</td><td>TEXT</td><td>Region or state name.</td></tr><tr><td>city</td><td>TEXT</td><td>City name.</td></tr><tr><td>latitude</td><td>FLOAT</td><td>City latitude. Defaults to capital city latitude if city is unknown.</td></tr><tr><td>longitude</td><td>FLOAT</td><td>City longitude. Defaults to capital city longitude if city is unknown.</td></tr><tr><td>isp</td><td>TEXT</td><td>Internet Service Provider or company's name.</td></tr><tr><td>time_zone</td><td>TEXT</td><td>Current region's time zone.</td></tr><tr><td>area_code</td><td>TEXT</td><td>A varying length number assigned to geographic areas for calls between cities.</td></tr><tr><td>postal</td><td>TEXT</td><td>ZIP/Postal code.</td></tr><tr><td>weather_station_code</td><td>TEXT</td><td>The special code to identify the nearest weather observation station.</td></tr><tr><td>elevation</td><td>TEXT</td><td>Average height of city above sea level in meters (m).</td></tr><tr><td>currency</td><td>TEXT</td><td>Currency of the country.</td></tr><tr><td>eu_member</td><td>BOOLEAN</td><td>Whether it belongs to the European Union.</td></tr><tr><td>country_capital</td><td>TEXT</td><td>The name of the current country's capital.</td></tr><tr><td>radius</td><td>TEXT</td><td>The current query positioning radius.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ipnews.io/database-documentation/markdown/ip-geolocation-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
